=== tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(balsam)
if(TARGET Qt::Widgets)
    if(TARGET Qt::Concurrent)
        add_subdirectory(balsamui)
    else()
        message(NOTICE "Skipping balsamui as the condition \"TARGET Qt::Concurrent\" is not met.")
    endif()
else()
    message(NOTICE "Skipping balsamui as the condition \"TARGET Qt::Widgets\" is not met.")
endif()
add_subdirectory(meshdebug)
if(TARGET Qt::ShaderTools)
    add_subdirectory(shadergen)
endif()
add_subdirectory(instancer)
if(QT_FEATURE_cborstreamwriter)
    add_subdirectory(shapegen)
endif()
if(QT_FEATURE_localserver)
    add_subdirectory(materialeditor)
endif()
