=== debian/control ===
Source: qt6-quick3d
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libassimp-dev (>= 5.1.6~),
               libgl-dev,
               libopenxr-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-glx0-dev,
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-declarative-dev (>= 6.9.2~),
               qt6-quicktimeline-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-quick3d.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-quick3d
Maintainer: Neon CI <neon@kde.org>

Package: qt6-quick3d
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6quick3d6,
          libqt6quick3dassetimport6,
          libqt6quick3dassetutils6,
          libqt6quick3deffects6,
          libqt6quick3dglslparser6,
          libqt6quick3dhelpers6,
          libqt6quick3diblbaker6,
          libqt6quick3dparticleeffects6,
          libqt6quick3dparticles6,
          libqt6quick3druntimerender6,
          libqt6quick3dutils6,
          qml6-module-quick3d,
          qml6-module-quick3d-assetutils,
          qml6-module-quick3d-effects,
          qml6-module-quick3d-helpers,
          qml6-module-quick3d-particleeffects,
          qml6-module-quick3d-particles3d,
          qt6-qmltooling-quick3dprofiler-plugin,
          qt6-quick3d-assetimporters-plugin
Description: Qt 6 Quick 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D library.

Package: qt6-quick3d-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative,
         qt6-quick3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-quick3d-dev-tools, qt6-quick3d-doc-dev, qt6-quick3d-examples
Description: Qt 6 Quick 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D library.

Package: qt6-quick3d-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-quick3d-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-quick3d-doc-html
Description: Qt 6 Quick 3D - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Quick 3D library.

Package: libqt6quick3d6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dassetimport6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dassetutils6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3deffects6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dglslparser6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dhelpers6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3diblbaker6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dparticleeffects6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dparticles6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3druntimerender6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dutils6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-assetimporters-plugin
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-assetutils
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-effects
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-helpers
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-particleeffects
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-particles3d
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-qmltooling-quick3dprofiler-plugin
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-dev-tools
Architecture: all
Depends: qt6-quick3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-doc-dev
Architecture: all
Depends: qt6-quick3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-doc-html
Architecture: all
Depends: qt6-quick3d-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-examples
Architecture: all
Depends: qt6-quick3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
