=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
                mold,
                ninja-build,
                pkg-kde-tools,
+               pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.2~),
-               qt6-declarative-dev (>= 6.9.2~),
-               qt6-quicktimeline-dev (>= 6.9.2~),
-               qt6-shadertools-dev (>= 6.9.2~),
+               qt6-base-dev (>= 6.9.3~),
+               qt6-declarative-dev (>= 6.9.3~),
+               qt6-quicktimeline-dev (>= 6.9.3~),
+               qt6-shadertools-dev (>= 6.9.3~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-tools (>= 6.9~) <!nodoc>
