=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
