## qt6-quick3d 6.10.1

=== debian/changelog ===
qt6-quick3d (6.10.1-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 08:49:54 +0000

qt6-quick3d (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:08 +1000
